## Apache Zeta Components Manual :: Docs For Class ezcTranslationFilter

### Translation::ezcTranslationFilter

### Interface ezcTranslationFilter

ezcTranslationFilter defines the common interface for all translation filters.

Example:

Source for this file: /Translation/src/interfaces/filter_interface.php

Version: | //autogentag//

### Method Summary

public static ezcTranslationFilter | `getInstance( )` Returns an instance of the class that implements this interface
public void | `runFilter( $context )` Filters the context $context.

### Methods

#### getInstance

static ezcTranslationFilter getInstance( )

Returns an instance of the class that implements this interface

#### runFilter

void runFilter( $context )

Filters the context $context.

This static method is called by the Translation Manager whenever a context is requested. The method should only modify the "translated" string and not touch the original string or comment.

For a definition of the array format see ezcTranslation::$translationMap.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$context` | array(ezcTranslationData) |

Documentation generated by phpDocumentor 1.4.3